#!/bin/bash
if [ "$1" = "" ]; then
	echo "available commands:"
	echo "./build.sh build ... building the modules"
	echo "./build.sh load ... for loading the modules"
	echo "./build.sh install ... for installing the modules"
	exit 0
fi

if [ "$1" = "build" ]; then
make

if [ -d /lib/modules/2.6.21.4-eeepc-nix ]; then
for i in  drx3973d/drx3973d.ko tvp5150/tvp5150.ko lgdt3304/lgdt3304.ko  zl10353/zl10353.ko  cx25843/em28xx-cx25843.ko  xc3028/tuner-xc3028.ko xc5000/tuner-xc5000.ko em28xx.ko em28xx-audio.ko em28xx-dvb.ko precompiled/dvb-core.ko qt1010/qt1010.ko mt2060/mt2060.ko; do 
	cp $i modules/;
done
exit 0
else
for i in  drx3973d/drx3973d.ko tvp5150/tvp5150.ko lgdt3304/lgdt3304.ko  zl10353/zl10353.ko  cx25843/em28xx-cx25843.ko  xc3028/tuner-xc3028.ko xc5000/tuner-xc5000.ko em28xx.ko em28xx-audio.ko em28xx-dvb.ko qt1010/qt1010.ko mt2060/mt2060.ko; do 
	cp $i modules/;
done
fi
fi

KVER=`uname -r`

if [ "$1" = "install" ]; then
	if [ -d /lib/modules/2.6.21.4-eeepc-nix ]; then
		for i in  drx3973d/drx3973d.ko tvp5150/tvp5150.ko lgdt3304/lgdt3304.ko  zl10353/zl10353.ko  cx25843/em28xx-cx25843.ko  xc3028/tuner-xc3028.ko xc5000/tuner-xc5000.ko em28xx.ko em28xx-audio.ko em28xx-dvb.ko precompiled/dvb-core.ko qt1010/qt1010.ko mt2060/mt2060.ko; do 
			cp $i modules/;
		done
		exit 0
	else
		for i in  drx3973d/drx3973d.ko tvp5150/tvp5150.ko lgdt3304/lgdt3304.ko  zl10353/zl10353.ko  cx25843/em28xx-cx25843.ko  xc3028/tuner-xc3028.ko xc5000/tuner-xc5000.ko em28xx.ko em28xx-audio.ko em28xx-dvb.ko qt1010/qt1010.ko mt2060/mt2060.ko; do 
			cp $i modules/;
		done
	fi
	#FIXME Why not just do make install here?
	find /lib/modules/${KVER}/ | grep tvp5150.ko | xargs rm -rf
	rm -rf /lib/modules/${KVER}/kernel/drivers/media/video/em28xx
	rm -rf /lib/modules/${KVER}/empia
	mkdir -p  /lib/modules/${KVER}/empia
	cp modules/* /lib/modules/${KVER}/empia
	depmod -a
fi

if [ "$1" = "load" ]; then
for i in  em28xx-dvb.ko em28xx-audio.ko em28xx.ko drx3973d/drx3973d.ko lgdt3304.ko  zl10353.ko  em28xx-cx25843  tuner-xc3028 tuner-xc5000  tvp5150 qt1010 mt2060; do 
	rmmod $i;
done

for i in  mt2060/mt2060.ko qt1010/qt1010.ko drx3973d/drx3973d.ko tvp5150/tvp5150.ko lgdt3304/lgdt3304.ko  zl10353/zl10353.ko  cx25843/em28xx-cx25843.ko  xc3028/tuner-xc3028.ko xc5000/tuner-xc5000.ko em28xx.ko em28xx-audio.ko em28xx-dvb.ko; do 
	insmod $i;
done
fi
